name: release

on:
  push:
    tags:
      - '*'

jobs:
  release:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
        with:
          fetch-depth: 0
      - name: setup go
        uses: https://github.com/actions/setup-go@v4
        with:
          go-version: '>=1.20.1'
      - run: |
          zip -r release.zip *
      - name: Create Release  
        uses: https://gitea.com/actions/release-action@main
        with:
          files: |-
            release.zip
          api_key: '${{secrets.RELEASE_TOKEN}}'
